Share via


Ip Groups - Delete

Deletes the specified ipGroups.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ipGroups/{ipGroupsName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
ipGroupsName
path True

string

The name of the ipGroups.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

Error

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Delete_IpGroups

Sample request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/ipGroups/ipGroups1?api-version=2025-05-01

Sample response

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/ipGroups/ipGroups1?api-version=2025-05-01

Definitions

Name Description
Error

Common error representation.

ErrorDetails

Common error details representation.

Error

Common error representation.

Name Type Description
code

string

Error code.

details

ErrorDetails[]

Error details.

innerError

string

Inner error message.

message

string

Error message.

target

string

Error target.

ErrorDetails

Common error details representation.

Name Type Description
code

string

Error code.

message

string

Error message.

target

string

Error target.